<script setup>
import events from '@/assets/events.json';

const localePath = useLocalePath();

const minEvents = 4;
const maxEvents = 8;
const eventsToShow = ref(minEvents);

const sortedEvents = ref(
  events.sort((a, b) => new Date(b.date) - new Date(a.date)),
);

const activeEvents = computed(() =>
  sortedEvents.value.slice(0, eventsToShow.value),
);
</script>

<template>
  <div
    class="h-full bg-no-repeat bg-top bg-cover bg-[url('/images/index/background.svg')]"
  >
    <div class="container mx-auto px-4 py-8">
      <TitleQuote quote-left position="center">
        {{ $t('pages.index.groups.title') }}
      </TitleQuote>

      <div class="flex flex-col lg:px-12 xl:px-48 mb-12">
        <IndexImageGroup
          class="mx-auto mb-12 lg:mx-0 lg:self-end"
          :to="localePath('/')"
          :title="$t('pages.index.groups.content.0')"
          title-bg-path="/images/index/groups/title1.svg"
          :title-classes="['w-[235px]', 'h-[95px]', 'pt-2']"
          image-path="/images/index/groups/image1.svg"
        />

        <IndexImageGroup
          class="mx-auto mb-12 lg:mx-0 lg:-mt-64"
          :to="localePath('/about')"
          :title="$t('pages.index.groups.content.1')"
          title-bg-path="/images/index/groups/title2.svg"
          :title-classes="['w-[210px]', 'h-[90px]', 'pt-2']"
          image-path="/images/index/groups/image2.svg"
        />

        <IndexImageGroup
          class="mx-auto lg:mx-0 lg:-mt-52 lg:self-end"
          :to="localePath('/')"
          :title="$t('pages.index.groups.content.2')"
          title-bg-path="/images/index/groups/title3.svg"
          :title-classes="['w-[200px]', 'h-[90px]', 'pt-6']"
          image-path="/images/index/groups/image3.svg"
        />
      </div>

      <TitleQuote quote-right position="center">
        {{ $t('pages.index.events.title') }}
      </TitleQuote>

      <div class="grid md:grid-cols-2 lg:grid-cols-4 gap-4 lg:gap-8 mb-8">
        <IndexEvent
          v-for="(event, index) in activeEvents"
          :key="index"
          :event="event"
        />
      </div>

      <div class="text-center">
        <a
          v-show="sortedEvents.length > minEvents"
          class="underline hover:opacity-80 active:opacity-70"
          href="#"
          @click.prevent="
            () =>
              (eventsToShow =
                activeEvents.length < maxEvents ? maxEvents : minEvents)
          "
        >
          {{
            activeEvents.length < maxEvents
              ? $t('pages.index.events.more')
              : $t('pages.index.events.less')
          }}
        </a>
      </div>
    </div>
  </div>
</template>
